Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api
Class SortKeyHandle

    java.lang.Object
      org.eclipse.birt.report.model.api.ElementDetailHandle
          org.eclipse.birt.report.model.api.ValueHandle
              org.eclipse.birt.report.model.api.StructureHandle
                  org.eclipse.birt.report.model.api.SortKeyHandle

    public class SortKeyHandle

extends StructureHandle

Represents the handle of sort key structure. The sort key is the sort entry for a table or list item, it defines the column and sort direction pair. Each sort key has the following properties:

Column Name
  the name of the column that is sorted.
Direction
  the sort direction:asc or desc.

Field Summary

Fields inherited from class org.eclipse.birt.report.model.api.StructureHandle
`structContext`

Fields inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle
`elementHandle`

Constructor Summary
`SortKeyHandle(SimpleValueHandle valueHandle, int index)` Constructs the handle of sort key.

Method Summary
`java.lang.String` | `getColumnName()` Deprecated. This property has been removed. See the method `getKey()`.
`java.lang.String` | `getDirection()` Returns the sort direction.
`java.lang.String` | `getKey()` Returns an expression that gives the sort key on which to sort.
`void` | `setColumnName(java.lang.String columnName)` Deprecated. This property has been removed. See the method `setKey(String)`.
`void` | `setDirection(java.lang.String direction)` Sets the sort direction.
`void` | `setKey(java.lang.String key)` Sets an expression that gives the sort key on which to sort.

Methods inherited from class org.eclipse.birt.report.model.api.StructureHandle
`drop, getContext, getDefn, getExpressionProperty, getExternalizedValue, getMember, getProperty, getPropertyDefn, getStringProperty, getStructure, isDesignTime, iterator, setDesignTime, setExpressionProperty, setProperty, setPropertySilently`

Methods inherited from class org.eclipse.birt.report.model.api.ValueHandle
`getReference`

Methods inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle
`getDesign, getElement, getElementHandle, getModule`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SortKeyHandle

    public SortKeyHandle(SimpleValueHandle valueHandle,
                         int index)

  Constructs the handle of sort key.

  Parameters:
    `valueHandle` - the value handle for sort key list of one property
    `index` - the position of this sort key in the list

Method Detail

### getKey

    public java.lang.String getKey()

  Returns an expression that gives the sort key on which to sort. The simplest case is the name of a column. The expression can also be an expression that includes columns. When used for a group, the expression can contain an aggregate computed over the group.

  Returns:
    the key to sort
  See Also:
    `setKey(String)`

### setKey

    public void setKey(java.lang.String key)
                throws SemanticException

  Sets an expression that gives the sort key on which to sort.

  Parameters:
    `key` - the key to sort
  Throws:
    `SemanticException` - value required exception
  See Also:
    `getKey()`

### getDirection

    public java.lang.String getDirection()

  Returns the sort direction. The possible values are define in `DesignChoiceConstants`, and they are:
  - SORT_DIRECTION_ASC
  - SORT_DIRECTION_DESC

  Returns:
    the direction to sort

### setDirection

    public void setDirection(java.lang.String direction)
                      throws SemanticException

  Sets the sort direction. The allowed values are define in `DesignChoiceConstants`, and they are:
  - SORT_DIRECTION_ASC
  - SORT_DIRECTION_DESC

  Parameters:
    `direction` - the direction to set
  Throws:
    `SemanticException` - if the direction is not in choice list.

### getColumnName

    public java.lang.String getColumnName()

  Deprecated. This property has been removed. See the method `getKey()`.

  Returns the name of the column that needs sort.

  Returns:
    the column name

### setColumnName

    public void setColumnName(java.lang.String columnName)
                       throws SemanticException

  Deprecated. This property has been removed. See the method `setKey(String)`.

  Sets the name of the column that needs sort.

  Parameters:
    `columnName` - the column name to set
  Throws:
    `SemanticException` - value required exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.